Bug 160876 - (SATA) iMac G5 freezes with FC4
(SATA) iMac G5 freezes with FC4
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
powerpc Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-17 17:57 EDT by Zoltan Kota
Modified: 2015-01-04 17:20 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 02:33:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zoltan Kota 2005-06-17 17:57:53 EDT
Description of problem:

I could install FC4 on an iMac G5, and after reboot I could/can login. But
within some minutes of using, the system doesn't respond and I get the 
following messages on the console:

 ata1: command 0x35 timeout, stat 0x50 host_stat 0x4
 hda: lost interrupt
 mpic_enable_irq timeout
 ata1: command 0x35 timeout, stat 0x50 host_stat 0x4

Moreover, pressing the TAB button (tab completion in shell at the console) 
results in a scrolling screen and the above error at once.

-
I don't know which component should I choose above, so I choose kernel.
Comment 2 Dave Jones 2005-07-15 17:34:17 EDT
[This comment has been added as a mass update for all FC4 kernel bugs.
 If you have migrated this bug from an FC3 bug today, ignore this comment.]

Please retest your problem with todays 2.6.12-1.1398_FC4 update.

If your problem involved being unable to boot, or some hardware not being
detected correctly, please make sure your /etc/modprobe.conf is correct *BEFORE*
installing any kernel updates.
If in doubt, you can recreate this file using..

mv /etc/sysconfig/hwconf /etc/sysconfig/hwconf.bak
mv /etc/modprobe.conf /etc/modprobe.conf.bak
kudzu


Thank you.
Comment 3 Zoltan Kota 2005-07-18 08:30:50 EDT
kernel 2.6.12-1.1398_FC4 doesn't help here.

Comment 4 Dave Jones 2005-09-30 02:47:18 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 5 Zoltan Kota 2005-09-30 08:55:42 EDT
Normal update to 2.6.13-1.1526_FC4 doesn't help. 
But, please check the link below. This report is related to FC4 on iMac G5:
http://lists.infradead.org/pipermail/fedora-ppc/2005-July/000606.html
And indeed, adding snd-powermac to the /etc/hotplug/blacklist file seems to help
on my system.
Comment 6 Dave Jones 2005-11-10 14:54:39 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 7 Zoltan Kota 2005-11-11 06:39:49 EST
2.6.14-1.1637_FC4 results the same behaviour. So, snd-powermac still in blacklist.
Comment 8 Dave Jones 2006-02-03 00:49:10 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 9 Zoltan Kota 2006-02-06 03:03:29 EST
Kernel 2.6.15-1.1830_FC4 doesn't help!
Now, I'm not sure what the problem is. The behaviour described above seems to
occure even if snd-powermac is in the /etc/hotplug/blacklist.
Comment 10 Zoltan Kota 2006-02-07 02:48:33 EST
Yesterday, my test was a bit futile.
The situation is the same as before the kernel update. Unstable when
snd-powermac is #-ed in blacklist, and it seems to be ok when snd-powermac is
blacklisted.
But anyway, the new kernel doesn't help.
Comment 11 Dave Jones 2006-09-16 22:41:49 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 12 Dave Jones 2006-10-16 14:53:05 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 13 Zoltan Kota 2006-10-17 06:27:38 EDT
Now I have fresh FC5 ppc install (minimal). I will check it with the default
kernel and with the updates. At the moment bug 206789 and bug 203986 blocks me
to boot with 2.6.18-1.2200.fc5.

Comment 14 Zoltan Kota 2006-10-17 10:21:47 EDT
After disabling selinux I could install and boot kernel 2.6.18-1.2200.fc5.
Regarding the original bugreport: my system (FC5 with updates) does not freeze
anymore. I could test it only in text mode. According to lsmod snd-powermac is
loaded. So, we can close this bug maybe?
Comment 15 Dave Jones 2006-10-18 02:33:06 EDT
sounds good, thanks for testing.

Note You need to log in before you can comment on or make changes to this bug.